#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>Manajemen Data Profil Pengadaan</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <p>
        <a href="#{url route.dashboard_procurementprofile_profilecontroller_insert /}" class="btn btn-complete btn-teal-monev btn-cons"><i class="fa fa-plus"></i> Tambah Profil</a>
    </p>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <table id="table-user" class="table table-hover demo-table-dynamic table-responsive-block dataTable no-footer">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Judul</th>
                            <th>Status</th>
                            <th>Ditarik</th>
                            <th>Dibuat</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreStyles'}
<style >
        div#table-user_paginate ul.pagination {
            float: right;
        }
        div#table-user_filter {
            float: right;
        }

        div#table-user_length .custom-select {
        height:auto !important;
        }
        .main-header .navbar-custom-menu {
        position:absolute !important;
        right: 1vw !important;
        }

    </style>
#{/set}

#{set 'moreScripts'}
<script type="text/javascript">
    (function($) {
        'use strict';
        var responsiveHelper = undefined;
        var breakpointDefinition = {
            tablet: 1024,
            phone: 480
        };
        var initTable = function() {
            var table = $('#table-user');
            var settings = {
                lengthMenu: [5, 10, 25, 50, 100],
                "searching": true,
                "pageLength": 10,
                "ordering": true,
                "processing": true,
                "serverSide": true,
                "ajax": {
                    url:"#{url route.dashboard_procurementprofile_profileapicontroller_listjson /}",
                    dataSrc: 'data'
                },
                initComplete: function(){
                    var dtable = $("#table-user").dataTable().api();
                    var searchWait = 0;
                    var searchWaitInterval;
                    var itemSearch;
                    $('.dataTables_filter input').unbind('.DT').bind('keyup.DT', function(e) {
                        itemSearch = $(this).val();
                        searchWait = 0;
                        if(!searchWaitInterval) searchWaitInterval = setInterval(function(){
                            if(searchWait>=3){
                                clearInterval(searchWaitInterval);
                                searchWaitInterval = '';
                                dtable.search(itemSearch).draw();
                                searchWait = 0;
                            }
                            searchWait++;
                        },300);
                    });
                },
                "order": [[ 4, "desc" ]],
                "sDom": "<'row'<f l>><t><'row'<p i>>",
                "aoColumnDefs": [
                    {"sWidth": "5%", "aTargets": [0] },
                    {"sWidth": "20%", "aTargets": [1] },
                    {"sWidth": "20%", "aTargets": [2] },
                    {"sWidth": "10%", "aTargets": [3] },
                    {"sWidth": "20%", "aTargets": [4]},
                    {"sWidth": "20%", "aTargets": [5], 'orderable': false }

                ],
                columns: [
                    null,null,null,null,null,
                    {
                        data: null,
                        render: function( data, type, row ) {
                                return "<div class='btn-group'>" +
                                    "<button type='button' class='btn btn-success dropdown-toggle' " +
                                    "data-toggle='dropdown' aria-expanded='false'>" +
                                    "Action <span class='sr-only'>Toggle Dropdown</span></button>" +
                                    "<ul class='dropdown-menu' role='menu'>" +
                                    "<li><a href='" + data[5] + "'>Adjust</a></li>" +
                                    "<li class=\"divider\"></li>" +
                                    "<li><a href='" + data[6] + "'>Preview</a></li>" +
                                    "<li class=\"divider\"></li>" +
                                    "<li><a href='" + data[7] + "'>Delete</a></li>" +
                                    "<li class=\"divider\"></li>" +
                                    "<li><a href='" + data[8] + "'>Export PDF</a></li>" +
                                    "</ul></div>"
                        }
                    }
                ],
                "scrollCollapse": true,
                "oLanguage": {
                    "sLengthMenu": "Tampilkan _MENU_ data",
                }
            };
            table.dataTable(settings);
            $('#search-table').keyup(function() {
                table.fnFilter($(this).val());
            });
        }
        initTable();
    })(window.jQuery);
</script>
#{/set}
